uuid: 0c90b1ca-60ae-476d-aef8-2ad27a214c5f
langcode: en
status: true
dependencies:
  config:
    - media.type.image
    - views.view.media_entity_browser
  module:
    - dropzonejs_eb_widget
    - media
    - views
name: image_browser
label: 'Image Browser'
display: modal
display_configuration:
  width: '650'
  height: '500'
  link_text: 'Select Image'
  auto_open: false
selection_display: no_display
selection_display_configuration: {  }
widget_selector: tabs
widget_selector_configuration: {  }
widgets:
  035db22d-21d4-4cf3-bf23-a3388ffd77a3:
    id: view
    uuid: 035db22d-21d4-4cf3-bf23-a3388ffd77a3
    label: 'Image library'
    weight: 2
    settings:
      submit_text: 'Select images'
      auto_select: false
      view: media_entity_browser
      view_display: media_browser_all
  1dbe64dd-1063-4ab0-a649-135dae5bd970:
    id: dropzonejs_media_entity_inline_entity_form
    uuid: 1dbe64dd-1063-4ab0-a649-135dae5bd970
    label: Upload
    weight: 2
    settings:
      submit_text: 'Select images'
      upload_location: 'public://[date:custom:Y]-[date:custom:m]'
      dropzone_description: 'Drop files here to upload them'
      max_filesize: 120M
      extensions: 'jpg jpeg gif png txt doc xls pdf ppt pps odt ods odp'
      clientside_resize: false
      resize_width: null
      resize_height: null
      resize_quality: !!float 1
      resize_method: contain
      thumbnail_method: contain
      media_type: image
      form_mode: media_library
